import winston from 'winston';
import { Category } from './Logger';
export default abstract class BaseService {
    protected logger: winston.Logger;
    protected enabled: boolean;
    protected constructor(category: Category);
    abstract start(): void;
}
